Tool: list_access_policies
Lists Unified Access Policies under a given parent project. Organizations and folders are not supported.
Use this tool to discover Unified Access Policies defined at an attachment point.
This tool requires the following parameters:
parent(string): The URL-encoded full resource name of the attachment point where policies are listed. Only projects are supported. The format isprojects/PROJECT_ID/locations/LOCATION(for example,projects/my-project/locations/global).
The following parameters are optional:
page_size(int32): The maximum number of policies to return.page_token(string): Pagination token from a previous list request.filter(string): Filter criteria to narrow down the list of Unified Access Policies.
This tool returns a list of Unified Access Policies defined at the specified project along with an optional next page token.
The following code sample shows how to use curl to call the list_access_policies MCP tool.
| Curl Request |
|---|
curl --location 'https://iam.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_access_policies", "arguments": { // Provide these details according to the MCP tool specification. } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for ListAccessPolicies method.
ListAccessPoliciesRequest
| JSON representation |
|---|
{ "parent": string, "pageSize": integer, "pageToken": string, "filter": string } |
| Fields | |
|---|---|
parent |
Required. The parent resource, which owns the collection of Unified Access Policy resources. Format: * |
pageSize |
Optional. The maximum number of Unified Access Policies to return. The service might return a smaller number of bindings. If unspecified, at most 50 Unified Access Policies are returned. Valid value ranges from 1 to 1000; values above 1000 are reduced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
filter |
Optional. An expression for filtering the results of the request. Example filter query: |
Output Schema
Response message for ListAccessPolicies method.
ListAccessPoliciesResponse
| JSON representation |
|---|
{
"accessPolicies": [
{
object ( |
| Fields | |
|---|---|
accessPolicies[] |
The Unified Access Policies from the specified parent. |
nextPageToken |
Optional. A token, which can be sent as |
AccessPolicy
| JSON representation |
|---|
{
"name": string,
"uid": string,
"etag": string,
"displayName": string,
"annotations": {
string: string,
...
},
"createTime": string,
"updateTime": string,
"details": {
object ( |
| Fields | |
|---|---|
name |
Identifier. The resource name of the Unified Access Policy. The following formats are supported:
|
uid |
Output only. The globally unique ID of the Unified Access Policy. |
etag |
Optional. The etag for the Unified Access Policy. If this is provided on update, it must match the server's etag. |
displayName |
Optional. The description of the Unified Access Policy. This description can be a maximum of 63 characters. |
annotations |
Optional. User-defined annotations. See https://google.aip.dev/148#annotations for more details such as format and size limitations. An object containing a list of |
createTime |
Output only. The time when the Unified Access Policy was created. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
Output only. The time when the Unified Access Policy was most recently updated. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
details |
Optional. The details for the Unified Access Policy. |
AnnotationsEntry
| JSON representation |
|---|
{ "key": string, "value": string } |
| Fields | |
|---|---|
key |
|
value |
|
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
AccessPolicyDetails
| JSON representation |
|---|
{
"rules": [
{
object ( |
| Fields | |
|---|---|
rules[] |
Required. A list of Unified Access Policy rules. |
AccessPolicyRule
| JSON representation |
|---|
{ "principals": [ string ], "excludedPrincipals": [ string ], "operation": { object ( |
| Fields | |
|---|---|
principals[] |
Required. The principals to include in the rule. This field can contain the following values:
If an identifier that was previously used in a rule is soft deleted, then a
|
excludedPrincipals[] |
Optional. The principals to exclude from the rule, even if they are listed in the |
operation |
Required. Attributes that are used to determine whether this rule applies to a request. |
conditions |
Optional. The conditions that determine whether this rule applies to a request. Conditions are identified by their key, which is the FQDN of the service that they are relevant to. For example: Each rule is evaluated independently. If this rule does not apply to a request, other rules might still apply. The following keys are supported:
An object containing a list of |
Union field
|
|
description |
Optional. Customer-specified description of the rule. This description can be a maximum of 256 characters. |
Union field
|
|
effect |
Required. The effect of the rule. |
Operation
| JSON representation |
|---|
{ "permissions": [ string ], "excludedPermissions": [ string ] } |
| Fields | |
|---|---|
permissions[] |
Optional. The permissions to include in the rule. Rules with the The following formats are supported:
An empty list doesn't match any |
excludedPermissions[] |
Optional. Specifies the permissions to exclude from the rule. If a permission appears in The excluded permissions can be specified using the same syntax as |
ConditionsEntry
| JSON representation |
|---|
{
"key": string,
"value": {
object ( |
| Fields | |
|---|---|
key |
|
value |
|
Expr
| JSON representation |
|---|
{ "expression": string, "title": string, "description": string, "location": string } |
| Fields | |
|---|---|
expression |
Textual representation of an expression in Common Expression Language syntax. |
title |
Optional. Title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. |
description |
Optional. Description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. |
location |
Optional. String indicating the location of the expression for error reporting, e.g. a file name and a position in the file. |
Effect
An effect to describe how the rule affects access.
| Enums | |
|---|---|
EFFECT_UNSPECIFIED |
The effect is unspecified. |
DENY |
The rule will deny access if it evaluates to true. |
ALLOW |
The rule will grant access if it evaluates to true. |
Tool Annotations
Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.
Along with the title string, the following boolean hints are defined as follows:
readOnlyHint: If true, the tool doesn't modify its environment. Default: false.destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌